package cn.bsystem.ptuserrole.dao;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;

import javax.annotation.PostConstruct;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;

import com.ibatis.sqlmap.client.SqlMapClient;

import cn.base.dao.BaseSqlMapDAO;

@Repository("ptyhDao")
public class PtyhDao  extends BaseSqlMapDAO{
	
	/**
	 * 增加记录
	 * @param map
	 */
	public void insert_Ptyh(Map map) throws SQLException{
		this.insert("insert_Ptyh",map);
	}
	
	/**
	 * 批处理增加记录
	 * @param batch
	 */
	public void batch_insert_Ptyh(List batch) throws SQLException{
		this.insert("batch_insert_Ptyh",batch);
	}

	/**
	 * 修改记录
	 * @param map
	 * @return Integer
	 */
	public Integer update_Ptyh(Map map) throws SQLException{
		return this.update("update_Ptyh",map);
	}

	/**
	 * 删除记录
	 * @param map
	 * @return Integer
	 */
	public Integer delete_Ptyh(Map map) throws SQLException{
		return this.delete("delete_Ptyh",map);
	}
	
	/**
	 * 批处理删除记录
	 * @param map
	 * @return Integer
	 */
	public Integer batch_delete_Ptyh(Map map) throws SQLException{
		return this.delete("batch_delete_Ptyh",map);
	}

	
	/**
	 * 查询总数
	 * 
	 * @param map
	 * @return Integer
	 */
	public Integer count_Ptyh(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Ptyh",map);
	}
	
	/**
	 * 查询列表记录
	 * 
	 * @param map
	 * @return List
	 */
	public List<Map> query_Ptyh(Map map) throws SQLException{
		return this.queryForPage("query_Ptyh",map);
	}
	
	/**
	 * 查询列表记录
	 * 
	 * @param map
	 * @return List
	 */
	public List<Map> query_ptyh_ext(Map map) throws SQLException{
		return this.queryForPage("query_ptyh_ext",map);
	}
	/**
	 * 查询总数
	 * 
	 * @param map
	 * @return Integer
	 */
	public Integer count_ptyh_ext(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_ptyh_ext",map);
	}
	/**
	 * 查询列表记录
	 * 
	 * @param map
	 * @return List
	 */
	public Map get_Ptyh(Map map) throws SQLException{
		return (Map) this.queryForObject("query_Ptyh",map);
	}
	
	/**
	 * 查询列表记录
	 * 
	 * @param map
	 * @return List
	 */
	public List<Map> query_Ptyh_sbqx(Map map) throws SQLException{
		return this.queryForPage("query_Ptyh_sbqx",map);
	}
	
	/**
	 * 查询列表记录
	 * 
	 * @param map
	 * @return List
	 */
	public List<Map> query_ptyh_sbjqqx(Map map) throws SQLException{
		return this.queryForPage("query_ptyh_sbjqqx",map);
	}
	
	/**
	 * 查询总数
	 * 
	 * @param map
	 * @return Integer
	 */
	public Integer count_ptyh_sbjqqx(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_ptyh_sbjqqx",map);
	}
	
	/**
	 * 查询列表记录
	 * 
	 * @param map
	 * @return List
	 */
	public List<Map> query_ptyh_sbtpqx(Map map) throws SQLException{
		return this.queryForPage("query_ptyh_sbtpqx",map);
	}
	
	/**
	 * 查询总数
	 * 
	 * @param map
	 * @return Integer
	 */
	public Integer count_ptyh_sbtpqx(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_ptyh_sbtpqx",map);
	}
	
	
}
